/**
 *
 * $Id: Uil.h,v 1.1.1.1 1996/08/06 05:51:13 toshok Exp $
 *
 * Copyright (C) 1995 Free Software Foundation, Inc.
 *
 * This file is part of the GNU LessTif Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **/

typedef struct {
	char Name[256];
	int lineno;
} FileData;

typedef struct {
  unsigned int width, height;
  int x_hot, y_hot;
  unsigned char *data;
} BitMapType;

enum { UID_COMPOUND_STRING, UID_ARGS, UID_INTEGER, UID_CALLBACK, UID_CREATE};

extern uil_global_t	*UilGlobal;
