/**
 *
 * $Id: Tree.h,v 1.1.1.1 1996/08/06 05:51:34 toshok Exp $
 *
 * Copyright (C) 1995, 1996 Free Software Foundation, Inc.
 *
 * This file is part of the GNU LessTif Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **/

#ifndef	_TREE_H_
#define	_TREE_H_

#include <stdio.h>

typedef struct tree_s	*tree_p;
typedef	tree_p		tree;

struct tree_s {
	char	*name;
	tree_p	left, right;
};

void TreeInsert(tree *parent, tree id);
void TreePrint(tree t, void (*f)(FILE *o, tree l));
tree TreeAppend(tree a, tree b);

#endif
